diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index bbfa5c1b39..c34fdb952d 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -36,6 +36,7 @@
 ;;; Copyright © 2023, 2024 Janneke Nieuwenhuizen <janneke@gnu.org>
 ;;; Copyright © 2023, 2024 Zheng Junjie <873216071@qq.com>
 ;;; Copyright © 2023, 2024 Hartmut Goebel <h.goebel@crazy-compilers.com>
+;;; Copyright © 2025 Nicolas Graves <ngraves@ngraves.fr>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -130,8 +131,7 @@ (define-public ruby-2.6
        (modules '((guix build utils)))
        (snippet `(begin
                    ;; Remove bundled libffi
-                   (delete-file-recursively "ext/fiddle/libffi-3.2.1")
-                   #t))))
+                   (delete-file-recursively "ext/fiddle/libffi-3.2.1")))))
     (build-system gnu-build-system)
     (arguments
      `(#:test-target "test"
@@ -157,8 +157,7 @@ (define-public ruby-2.6
                             "test/ruby/test_process.rb"
                             "test/ruby/test_system.rb"
                             "tool/rbinstall.rb")
-               (("/bin/sh") (which "sh")))
-             #t)))))
+               (("/bin/sh") (which "sh"))))))))
     (native-inputs (if (%current-target-system)
                        (list this-package)
                        '()))
@@ -215,8 +214,7 @@ (define-public ruby-2.7
                             "test/ruby/test_process.rb"
                             "test/ruby/test_system.rb"
                             "tool/rbinstall.rb")
-               (("/bin/sh") (which "sh")))
-             #t))
+               (("/bin/sh") (which "sh")))))
          ,@(if (system-hurd?)
                '((add-after 'unpack 'skip-tests
                    (lambda _
@@ -317,8 +315,7 @@ (define-public mruby
            (lambda _
              (substitute* "Makefile"
                (("ruby ./minirake" m)
-                (string-append m " --verbose")))
-             #t))
+                (string-append m " --verbose")))))
          (add-after 'unpack 'disable-broken-tests
            (lambda _
              (substitute* "mrbgems/mruby-io/test/io.rb"
@@ -326,8 +323,7 @@ (define-public mruby
                 (string-append m "skip \"Hangs in the Guix build environment\"\n"))
                ;; This one is really weird.  The *expected* output is all wrong.
                (("assert\\('`cmd`.*" m)
-                (string-append m "skip \"Disable for Guix\"\n")))
-             #t))
+                (string-append m "skip \"Disable for Guix\"\n")))))
          ;; There is no install target
          (replace 'install
            (lambda* (#:key outputs #:allow-other-keys)
@@ -337,8 +333,7 @@ (define-public mruby
                (mkdir-p bin)
                (copy-recursively "build/host/bin" bin)
                (mkdir-p lib)
-               (copy-recursively "build/host/lib" lib))
-             #t)))))
+               (copy-recursively "build/host/lib" lib)))))))
     (native-inputs
      (list ruby bison))
     (home-page "https://github.com/mruby/mruby")
@@ -505,8 +500,7 @@ (define-public ruby-rsync
            (lambda _
              (substitute* "spec/spec_helper.rb"
                (("require 'coveralls'") "")
-               (("Coveralls.wear!") ""))
-             #t)))))
+               (("Coveralls.wear!") "")))))))
     (native-inputs
      (list bundler rsync ruby-rspec-core ruby-rspec-expectations
            ruby-rspec-mocks))
@@ -637,8 +631,7 @@ (define-public ruby-iruby
                 (string-append
                  "Kernel.exec('"
                  (assoc-ref inputs "python-ipython")
-                 "/bin/")))
-             #t)))))
+                 "/bin/"))))))))
     (inputs
      (list python-ipython))
     (propagated-inputs
@@ -949,15 +942,13 @@ (define-public ruby-rspec-its
            (lambda _
              (substitute* "Gemfile"
                (("rspec rspec-core rspec-expectations rspec-mocks rspec-support")
-                ""))
-             #t))
+                ""))))
          (add-before 'build 'loosen-ffi-requirement
            (lambda _
              ;; Accept any version of ruby-ffi.
              (substitute* "Gemfile"
                (("  gem 'ffi', '~> 1\\.9\\.25'")
-                "  gem 'ffi'"))
-             #t))
+                "  gem 'ffi'"))))
          (add-before 'build 'remove-unnecessary-dependency-versions-from-gemfile
            (lambda _
              (substitute* "rspec-its.gemspec"
@@ -965,8 +956,7 @@ (define-public ruby-rspec-its
                (("spec.add_development_dependency 'cucumber'.*")
                 "spec.add_development_dependency 'cucumber'\n")
                (("bundler.*") "bundler'\n")
-               (("\"aruba.*") "'aruba'\n"))
-             #t)))))
+               (("\"aruba.*") "'aruba'\n")))))))
     (propagated-inputs
      (list ruby-rspec-core ruby-rspec-expectations))
     (native-inputs
@@ -1899,13 +1889,11 @@ (define-public ruby-prawn-templates
                   (add-after 'unpack 'do-not-use-bundler
                     (lambda _
                       (substitute* "spec/spec_helper.rb"
-                        ((".*[Bb]undler.*") ""))
-                      #t))
+                        ((".*[Bb]undler.*") ""))))
                   (replace 'check
                     (lambda* (#:key tests? #:allow-other-keys)
                       (when tests?
-                        (invoke "rspec"))
-                      #t)))))
+                        (invoke "rspec")))))))
     (native-inputs
      (list ruby-pdf-inspector ruby-rspec))
     (propagated-inputs
@@ -2238,8 +2226,7 @@ (define-public ruby-gimme
                  ((".*(add|gem).*jeweler.*") "")
                  ((".*(add|gem).*pry.*") "")
                  ((".*(add|gem).*growl.*") "")
-                 ((".*(add|gem).*rb-fsevent.*") ""))
-               #t)))))
+                 ((".*(add|gem).*rb-fsevent.*") "")))))))
       (synopsis "Lightweight test double library for Ruby")
       (description "Gimme is a very lightweight test double library for Ruby,
 based on Mockito (a mocking framework for Java).  It is an opinionated (but
@@ -2549,8 +2536,7 @@ (define-public ruby-ast
            (lambda _
              (substitute* "test/helper.rb"
                (("require 'coveralls'") "")
-               (("Coveralls::SimpleCov::Formatter") ""))
-             #t))
+               (("Coveralls::SimpleCov::Formatter") ""))))
          (add-after 'extract-gemspec 'remove-unnecessary-requirements
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "ast.gemspec"
@@ -2558,8 +2544,7 @@ (define-public ruby-ast
                (("%q<rest-client>.*") "%q<rest-client>.freeze, [\">= 0\"])\n")
                (("%q<mime-types>.*") "%q<mime-types>.freeze, [\">= 0\"])\n")
                (("%q<rake>.*") "%q<rake>.freeze, [\">= 0\"])\n")
-               (("12\\.3") "13.0"))
-             #t)))))
+               (("12\\.3") "13.0")))))))
     (native-inputs
      (list bundler
            ruby-bacon
@@ -2718,8 +2703,7 @@ (define-public ruby-crack
                (for-each (lambda (file)
                            (display file)(display "\n")
                            (invoke "ruby" "-Ilib" "-Itest" "-rrubygems" file))
-                         (find-files "test" ".*rb$")))
-             #t)))))
+                         (find-files "test" ".*rb$"))))))))
     (synopsis "Simple JSON and XML parsing for Ruby")
     (description
      "@code{crack} provides really simple JSON and XML parsing, extracted from
@@ -2777,8 +2761,7 @@ (define-public ruby-cliver
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list bundler ruby-rspec-2))
     (synopsis "Assertions for command-line dependencies in Ruby")
@@ -3030,13 +3013,11 @@ (define-public ruby-open4
            (substitute* "rakefile"
              ;; Update the Rakefile so it works
              (("-rubygems") "-rrubygems")
-             (("Config") "RbConfig"))
-           #t))
+             (("Config") "RbConfig"))))
        (add-before 'check 'set-LIB
          (lambda _
            ;; This is used in the rakefile when running the tests
-           (setenv "LIB" "open4")
-           #t)))))
+           (setenv "LIB" "open4"))))))
   (synopsis "Open child processes from Ruby and manage them easily")
   (description
     "@code{Open4} is a Ruby library to run child processes and manage their
@@ -3064,8 +3045,7 @@ (define-public ruby-options
            (lambda _
              ;; This is used in the Rakefile, and setting it avoids an issue
              ;; with running the tests.
-             (setenv "LIB" "options")
-             #t)))))
+             (setenv "LIB" "options"))))))
     (synopsis "Ruby library to parse options from *args cleanly")
     (description
      "The @code{options} library helps with parsing keyword options in Ruby
@@ -3202,15 +3182,13 @@ (define-public ruby-fakefs
                     (lambda _
                       (substitute* "fakefs.gemspec"
                         (("`git ls-files lib README.md LICENSE`")
-                         "`find lib README.md LICENSE -type f | sort`"))
-                      #t))
+                         "`find lib README.md LICENSE -type f | sort`"))))
                   (add-before 'check 'remove-version-constraints
                     (lambda _
                       ;; Drop hard version requirements for test dependencies.
                       (substitute* "fakefs.gemspec"
                         (("(.*add_development_dependency .*), .*" _ dep)
-                         (string-append dep "\n")))
-                      #t)))))
+                         (string-append dep "\n"))))))))
     (native-inputs
      (list ruby-bump ruby-maxitest ruby-rubocop ruby-rspec))
     (synopsis "Fake file system for Ruby")
@@ -3679,8 +3657,7 @@ (define-public ruby-permutation
             (substitute* "Rakefile"
               (("require 'rake/gempackagetask'")
                "require 'rubygems/package_task'")
-              (("include Config") ""))
-            #t))
+              (("include Config") ""))))
          (replace 'check
           (lambda _
             (invoke "ruby" "-Ilib" "test/test.rb"))))))
@@ -3708,8 +3685,7 @@ (define-public ruby-shellany
          (add-after 'unpack 'fix-version-test
           (lambda _
             (substitute* "spec/shellany_spec.rb"
-              (("^RSpec") "require \"shellany\"\nRSpec"))
-            #t)))))
+              (("^RSpec") "require \"shellany\"\nRSpec")))))))
     (native-inputs
      (list ruby-rspec ruby-nenv bundler))
     (synopsis "Capture command output")
@@ -3765,19 +3741,16 @@ (define-public ruby-forking-test-runner
                     (lambda _
                       (substitute* "forking_test_runner.gemspec"
                         (("`git ls-files lib/ bin/ MIT-LICENSE`")
-                         "`find lib/ bin/ MIT-LICENSE -type f | sort`"))
-                      #t))
+                         "`find lib/ bin/ MIT-LICENSE -type f | sort`"))))
                   (add-before 'check 'remove-version-constraints
                     (lambda _
                       ;; Ignore hard coded version constraints for the tests.
-                      (delete-file "Gemfile.lock")
-                      #t))
+                      (delete-file "Gemfile.lock")))
                   (add-before 'check 'set-HOME
                     (lambda _
                       ;; Many tests invoke Bundler, and fails when Bundler
                       ;; warns that /homeless-shelter does not exist.
-                      (setenv "HOME" "/tmp")
-                      #t)))))
+                      (setenv "HOME" "/tmp"))))))
     (native-inputs
      (list ruby-activerecord ruby-bump ruby-rspec ruby-sqlite3 ruby-wwtd))
     (propagated-inputs
@@ -3836,13 +3809,11 @@ (define-public ruby-fuubar
              ;; Remove 's.cert_chain' as we do not build with a private key
              (substitute* "fuubar.gemspec"
                ((".*cert_chain.*") "")
-               ((".*signing_key.*") ""))
-             #t))
+               ((".*signing_key.*") ""))))
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list bundler))
     (propagated-inputs
@@ -3947,8 +3918,7 @@ (define-public ruby-hashdiff
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list bundler ruby-rspec-2))
     (synopsis "HashDiff computes the smallest difference between two hashes")
@@ -5193,8 +5163,7 @@ (define-public ruby-maruku
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list ruby-rspec ruby-simplecov ruby-nokogiri-diff))
     (synopsis "Markdown interpreter in Ruby")
@@ -5227,8 +5196,7 @@ (define-public ruby-metaclass
                                  test-unit "/lib/ruby/vendor_ruby"
                                  "/gems/test-unit-"
                                  ,(package-version ruby-test-unit)
-                                 "/lib\""))))
-             #t)))))
+                                 "/lib\"")))))))))
     (native-inputs
      (list bundler ruby-test-unit/minimal))
     (synopsis "Ruby library adding metaclass method to all objects")
@@ -5322,13 +5290,11 @@ (define-public ruby-mspec
            (lambda _
              (substitute* "mspec.gemspec"
                (("rake.*") "rake>)\n")
-               (("rspec.*") "rspec>)\n"))
-             #t))
+               (("rspec.*") "rspec>)\n"))))
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec" "spec"))
-             #t)))))
+               (invoke "rspec" "spec")))))))
     (native-inputs
      (list bundler ruby-rake ruby-rspec))
     (synopsis "MSpec is a specialized framework for RubySpec")
@@ -5362,15 +5328,13 @@ (define-public ruby-mysql2
          (replace 'replace-git-ls-files
            (lambda _
              (substitute* "mysql2.gemspec"
-               (("git ls-files .*`") "find . -type f |sort`"))
-             #t))
+               (("git ls-files .*`") "find . -type f |sort`"))))
          (add-before 'install 'set-MAKEFLAGS
            (lambda* (#:key outputs #:allow-other-keys)
              (setenv "MAKEFLAGS"
                      (string-append
                       "V=1 "
-                      "prefix=" (assoc-ref outputs "out")))
-             #t))
+                      "prefix=" (assoc-ref outputs "out")))))
          ;; Move the 'check phase to after 'install, as then you can test
          ;; using the installed mysql2 gem in the store.
          (delete 'check)
@@ -5382,8 +5346,7 @@ (define-public ruby-mysql2
                       ":"
                       (assoc-ref outputs "out") "/lib/ruby/vendor_ruby"))
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (inputs
      `(("mariadb-dev" ,mariadb "dev")
        ("zlib" ,zlib)))
@@ -5481,8 +5444,7 @@ (define-public ruby-idn-ruby
                                        "/lib/ruby/vendor_ruby/gems/"
                                        name-and-version
                                        "/lib")
-                        (find-files "./test" ".*\\.rb"))))
-             #t)))))
+                        (find-files "./test" ".*\\.rb")))))))))
     (inputs
      (list libidn))
     (synopsis "Ruby Bindings for the GNU LibIDN library")
@@ -5564,8 +5526,7 @@ (define-public ruby-redcarpet
           (lambda _
             (substitute* "Rakefile"
               (("task :test => %w\\[test:unit test:conformance\\]")
-               "task :test => %w[test:unit]"))
-            #t)))))
+               "task :test => %w[test:unit]")))))))
     (native-inputs
      (list bundler ruby-test-unit ruby-rake-compiler))
     (synopsis "Extensible Markdown to (X)HTML converter")
@@ -5915,8 +5876,7 @@ (define-public ruby-minitest-around
          (add-after 'extract-gemspec 'remove-unnecessary-dependency-versions
            (lambda _
              (substitute* "minitest-around.gemspec"
-               (("%q<cucumber>.*") "%q<cucumber>, [\">= 0\"])\n"))
-             #t)))))
+               (("%q<cucumber>.*") "%q<cucumber>, [\">= 0\"])\n")))))))
     (propagated-inputs
      (list ruby-minitest))
     (native-inputs
@@ -6144,8 +6104,7 @@ (define-public ruby-minitest-moar
                (("gem .*") ""))
              ;; Remove byebug as not needed to run tests.
              (substitute* "test/test_helper.rb"
-               (("require 'byebug'") ""))
-             #t)))))
+               (("require 'byebug'") "")))))))
     (native-inputs
      (list bundler ruby-minitest))
     (synopsis "Extra features and changes to MiniTest")
@@ -6211,13 +6170,11 @@ (define-public ruby-minitest-reporters
            (lambda _
              (substitute* "Rakefile"
                (("require 'rubocop/rake\\_task'") "")
-               (("RuboCop::RakeTask\\.new\\(:rubocop\\)") "[].each"))
-             #t))
+               (("RuboCop::RakeTask\\.new\\(:rubocop\\)") "[].each"))))
          (add-after 'extract-gemspec 'remove-rubocop-from-gemspec
            (lambda _
              (substitute* "minitest-reporters.gemspec"
-               ((".*%q<rubocop>.*") "\n"))
-             #t)))))
+               ((".*%q<rubocop>.*") "\n")))))))
     (propagated-inputs
      (list ruby-ansi ruby-builder ruby-minitest ruby-progressbar))
     (native-inputs
@@ -6498,8 +6455,7 @@ (define-public ruby-git
                                      ,version "/lib/git/config.rb")))
                         (substitute* (list config)
                           (("'git'")
-                           (string-append "'" git "'")))
-                        #t))))))
+                           (string-append "'" git "'")))))))))
     (inputs
      (list git))
     (synopsis "Ruby wrappers for Git")
@@ -6876,8 +6832,7 @@ (define-public ruby-method-source
          (add-after 'unpack 'remove-git-ls-files
            (lambda* (#:key outputs #:allow-other-keys)
              (substitute* "Rakefile"
-               (("git ls-files") "find . -type f"))
-             #t)))))
+               (("git ls-files") "find . -type f")))))))
     (native-inputs
      (list ruby-rspec))
     (synopsis "Retrieve the source code for Ruby methods")
@@ -7445,8 +7400,7 @@ (define-public ruby-guard
          (add-after 'unpack 'remove-git-ls-files
           (lambda* (#:key outputs #:allow-other-keys)
             (substitute* "guard.gemspec"
-              (("git ls-files -z") "find . -type f -print0"))
-            #t))
+              (("git ls-files -z") "find . -type f -print0"))))
          (replace 'build
           (lambda _
             (invoke "gem" "build" "guard.gemspec"))))))
@@ -7823,8 +7777,7 @@ (define-public ruby-sdoc
               (("s.add_dependency.*") "\n"))
             (substitute* "Gemfile"
               (("gem \"rake\".*")
-               "gem 'rake'\ngem 'rdoc'\ngem 'json'\n"))
-            #t)))))
+               "gem 'rake'\ngem 'rdoc'\ngem 'json'\n")))))))
     (propagated-inputs
      (list ruby-json))
     (native-inputs
@@ -9083,8 +9036,7 @@ (define-public ruby-rainbow
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list bundler ruby-rspec))
     (synopsis "Colorize printed text on ANSI terminals")
@@ -9363,8 +9315,7 @@ (define-public ruby-regexp-parser
                       ;; XXX: This is needed otherwise the install
                       ;; phase fails to delete the installed cached
                       ;; gem file.
-                      (delete-file-recursively "pkg")
-                      #t)))))
+                      (delete-file-recursively "pkg"))))))
     (native-inputs
      (list ragel ruby-regexp-property-values ruby-rspec))
     (synopsis "Regular expression parser library for Ruby")
@@ -9396,8 +9347,7 @@ (define-public ruby-test-queue
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list ruby-rspec))
     (synopsis "Minitest/RSpec parallel test runner for CI environments")
@@ -9621,8 +9571,7 @@ (define-public ruby-ffi-rzmq-core
                       (let ((zeromq (assoc-ref inputs "zeromq")))
                         (substitute* "lib/ffi-rzmq-core/libzmq.rb"
                           (("/usr/local/lib")
-                           (string-append zeromq "/lib")))
-                        #t)))
+                           (string-append zeromq "/lib"))))))
                   (replace 'check
                     (lambda _
                       (invoke "rspec"))))))
@@ -11120,16 +11069,14 @@ (define-public ruby-pygmentize
           (lambda _
             (substitute* "lib/pygmentize.rb"
               (("\"/usr/bin/env python.*")
-               (string-append "\"" (which "pygmentize") "\"\n")))
-            #t))
+               (string-append "\"" (which "pygmentize") "\"\n")))))
          (add-after 'build 'do-not-use-vendor-directory
           (lambda _
             ;; Remove bundled pygments sources
             ;; FIXME: ruby-build-system does not support snippets.
             (delete-file-recursively "vendor")
             (substitute* "pygmentize.gemspec"
-              (("\"vendor/\\*\\*/\\*\",") ""))
-            #t)))))
+              (("\"vendor/\\*\\*/\\*\",") "")))))))
     (inputs
      `(("pygments" ,python-pygments)))
     (native-inputs
@@ -11228,8 +11175,7 @@ (define-public ruby-ruby-engine
                (("require 'rubygems/tasks'") "")
                (("Gem::Tasks.new") ""))
              ;; Remove extraneous .gem file that otherwise gets installed.
-             (delete-file-recursively "pkg")
-             #t)))))
+             (delete-file-recursively "pkg"))))))
     (native-inputs
      (list bundler ruby-rake ruby-rspec))
     (synopsis "Simplifies checking for Ruby implementation")
@@ -11591,8 +11537,7 @@ (define-public ruby-unf
              ;; environment.  This is fixed in the upstream repository but fix
              ;; has not been released.
              (substitute* "Gemfile"
-               (("^gemspec") "gem 'test-unit'\ngemspec"))
-             #t)))))
+               (("^gemspec") "gem 'test-unit'\ngemspec")))))))
     (propagated-inputs
      (list ruby-unf-ext))
     (native-inputs
@@ -11654,15 +11599,13 @@ (define-public ruby-warden-oauth2
                (("gem 'guard-rspec'") "")
                (("gem 'rb-fsevent'") "")
                (("gem 'pry'") "")
-               (("gem 'growl'") ""))
-             #t))
+               (("gem 'growl'") ""))))
          ;; The test suite doesn't work with rspec@2, and this is incompatible
          ;; with the current version of Rake, so invoke Rspec directly
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "bundle" "exec" "rspec"))
-             #t)))))
+               (invoke "bundle" "exec" "rspec")))))))
     (propagated-inputs
      (list ruby-warden))
     (native-inputs
@@ -11763,8 +11706,7 @@ (define-public ruby_version
                (("%q<rspec.*") "%q<rspec>)\n"))
              ;; Do not use bundler.
              (substitute* "Rakefile"
-               (("Bundler\\.setup.*") "nil\n"))
-             #t)))))
+               (("Bundler\\.setup.*") "nil\n")))))))
     (native-inputs
      (list ruby-rdoc ruby-rspec ruby-rubygems-tasks))
     (synopsis "Ruby library to help check the Ruby version")
@@ -12142,8 +12084,7 @@ (define-public ruby-httpclient
              (if tests?
                  (invoke "ruby"
                          "-Ilib"
-                         "test/runner.rb")
-                 #t))))))
+                         "test/runner.rb")))))))
     (native-inputs
      (list ruby-rack))
     (synopsis
@@ -12192,8 +12133,7 @@ (define-public ruby-ansi
                ;; XXX: This symlink is broken since ruby 2.4.
                ;; https://lists.gnu.org/archive/html/guix-devel/2017-06/msg00034.html
                (delete-file file)
-               (symlink "../.index" file)
-               #t))))))
+               (symlink "../.index" file)))))))
     (synopsis "ANSI escape code related libraries")
     (description
      "This package is a collection of ANSI escape code related libraries
@@ -12223,8 +12163,7 @@ (define-public ruby-systemu
        (modify-phases %standard-phases
          (add-before 'check 'set-version
            (lambda _
-             (setenv "VERSION" ,version)
-             #t)))))
+             (setenv "VERSION" ,version))))))
     (synopsis "Capture of stdout/stderr and handling of child processes")
     (description
      "Systemu can be used on any platform to return status, stdout, and stderr
@@ -12505,8 +12444,7 @@ (define-public ruby-ae
                ;; XXX: This symlink is broken since ruby 2.4.
                ;; https://lists.gnu.org/archive/html/guix-devel/2017-06/msg00034.html
                (delete-file file)
-               (symlink "../.index" file)
-               #t))))))
+               (symlink "../.index" file)))))))
     (propagated-inputs
      (list ruby-ansi))
     (native-inputs
@@ -13416,8 +13354,7 @@ (define-public ruby-public-suffix
            (lambda _
              (substitute* "Rakefile"
                (("require \"rubocop/rake\\_task\"") "")
-               (("RuboCop::RakeTask\\.new") ""))
-             #t)))))
+               (("RuboCop::RakeTask\\.new") "")))))))
     (native-inputs
      (list bundler ruby-yard/minimal ruby-mocha ruby-minitest-reporters))
     (home-page "https://simonecarletti.com/code/publicsuffix-ruby/")
@@ -13496,8 +13433,7 @@ (define-public ruby-colorize
                         ;; service which is unnecessary for these tests.
                         (("require 'codeclimate-test-reporter'")
                          "")
-                        (("CodeClimate.*") ""))
-                      #t)))))
+                        (("CodeClimate.*") "")))))))
     (synopsis "Add color effects to the @code{String} class")
     (description
      "This package extends the @code{String} class and adds a
@@ -13548,8 +13484,7 @@ (define-public ruby-command-line-reporter
                ;; colored is unmaintained
                (("colored") "colorator")
                ;; colorator version
-               (("= 1.2") "= 1.1"))
-             #t)))))
+               (("= 1.2") "= 1.1")))))))
     (propagated-inputs (list ruby-colorator))
     (home-page "https://github.com/wbailey/command_line_reporter")
     (synopsis "Report production while executing Ruby scripts")
@@ -13802,41 +13737,34 @@ (define-public ruby-sassc
                    (display (string-append
                              (string-take gemspec index)
                              "\nend\n")
-                            out))))
-             #t))
+                            out))))))
          (add-after 'unpack 'dont-check-the-libsass-version
            (lambda _
              (substitute* "test/native_test.rb"
-               (("assert_equal.*Native\\.version") ""))
-             #t))
+               (("assert_equal.*Native\\.version") ""))))
          (add-after 'unpack 'remove-git-from-gemspec
            (lambda _
              (substitute* "sassc.gemspec"
-               (("`git ls-files -z`") "`find . -type f -print0 |sort -z`"))
-             #t))
+               (("`git ls-files -z`") "`find . -type f -print0 |sort -z`"))))
          (add-after 'unpack 'remove-extensions-from-gemspec
            (lambda _
              (substitute* "sassc.gemspec"
-               (("\\[\"ext/extconf.rb\"\\]") "[]"))
-             #t))
+               (("\\[\"ext/extconf.rb\"\\]") "[]"))))
          (add-after 'unpack 'fix-Rakefile
            (lambda _
              (substitute* "Rakefile"
-               (("test: 'compile:libsass'") ":test"))
-             #t))
+               (("test: 'compile:libsass'") ":test"))))
          (add-after 'unpack 'remove-unnecessary-dependencies
            (lambda _
              (substitute* "test/test_helper.rb"
-               (("require \"pry\"") ""))
-             #t))
+               (("require \"pry\"") ""))))
          (add-before 'build 'patch-native.rb
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "lib/sassc/native.rb"
                ((".*gem_root = spec.gem_dir") "")
                (("ffi_lib .*\n")
                 (string-append
-                 "ffi_lib '" (assoc-ref inputs "libsass") "/lib/libsass.so'")))
-             #t))
+                 "ffi_lib '" (assoc-ref inputs "libsass") "/lib/libsass.so'")))))
          ;; The gemspec still references the libsass files, so just keep the
          ;; one in the gem.
          (delete 'extract-gemspec))))
@@ -13935,13 +13863,11 @@ (define-public ruby-parallel
            (lambda _
              ;; Bundler isn't being used for fetching dependendencies, so
              ;; delete the Gemfile.lock
-             (delete-file "Gemfile.lock")
-             #t))
+             (delete-file "Gemfile.lock")))
          (add-before 'build 'patch-gemspec
            (lambda _
              (substitute* "parallel.gemspec"
-               (("git ls-files") "find"))
-             #t)))))
+               (("git ls-files") "find")))))))
     (native-inputs
      (list ruby-rspec
            ruby-rspec-rerun
@@ -14085,8 +14011,7 @@ (define-public ruby-pdf-reader
                             (add-after 'unpack 'do-not-use-bundler
                               (lambda _
                                 (substitute* "spec/spec_helper.rb"
-                                  ((".*[Bb]undler.*") ""))
-                                #t)))))
+                                  ((".*[Bb]undler.*") "")))))))
     (native-inputs
      (list ruby-rspec ruby-cane ruby-morecane))
     (propagated-inputs
@@ -14121,8 +14046,7 @@ (define-public ruby-pdf-inspector
                       (lambda _
                         (substitute* "pdf-inspector.gemspec"
                           (("spec.signing_key =.*")
-                           "spec.signing_key = nil"))
-                        #t))
+                           "spec.signing_key = nil"))))
                     (replace 'check
                       (lambda _
                         (substitute* "pdf-inspector.gemspec"
@@ -14283,8 +14207,7 @@ (define-public ruby-prawn-table
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (home-page "https://github.com/prawnpdf/prawn-table")
     (synopsis "Tables support for Prawn")
     (description "This gem provides tables support for Prawn.")
@@ -14575,8 +14498,7 @@ (define-public ruby-yaml-lint
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (native-inputs
      (list ruby-coveralls ruby-rspec ruby-simplecov))
     (synopsis "Simple YAML check tool")
@@ -15146,17 +15068,14 @@ (define-public ruby-nio4r
               ;; Remove rspec/retry as we are not retrying the tests
               (("require \"rspec/retry\"") "")
               (("config\\.display_try_failure_messages = true") "")
-              (("config\\.verbose_retry = true") ""))
-            #t))
+              (("config\\.verbose_retry = true") ""))))
         (add-before 'check 'compile
           (lambda _
-            (invoke "rake" "compile")
-            #t))
+            (invoke "rake" "compile")))
         (replace 'check
           (lambda* (#:key tests? #:allow-other-keys)
             (when tests?
-              (invoke "rspec"))
-            #t)))))
+              (invoke "rspec")))))))
    (native-inputs
     (list bundler ruby-rake-compiler ruby-rspec ruby-rubocop))
    (synopsis "New I/O for Ruby")
@@ -15719,8 +15638,7 @@ (define-public ruby-skinny
              (substitute* ".gemspec"
                (("<eventmachine>.freeze, \\[\\\"~> 1.0.0\"")
                 "<eventmachine>, [\">= 1.0.0\"")
-               (("<thin>.freeze, \\[\\\"< 1.7\", ") "<thin>, ["))
-             #t)))))
+               (("<thin>.freeze, \\[\\\"< 1.7\", ") "<thin>, [")))))))
     (propagated-inputs
      (list ruby-eventmachine ruby-thin))
     (synopsis "Simple, upgradable WebSockets for Ruby Thin")
@@ -15745,8 +15663,7 @@ (define-public ruby-sys-filesystem
                   (add-before 'check 'set-HOME
                     (lambda _
                       ;; Some tests attempt to stat $HOME.  Let them.
-                      (setenv "HOME" "/tmp")
-                      #t)))))
+                      (setenv "HOME" "/tmp"))))))
     (propagated-inputs
      (list ruby-ffi))
     (native-inputs
@@ -15784,16 +15701,14 @@ (define-public mailcatcher
                 "<eventmachine>, [\">= 1.0.9.1")
                (("<rack>.freeze, \\[\\\"~> 1.5") "<rack>, [\">= 1.5")
                (("<thin>.freeze, \\[\\\"~> 1.5.0") "<thin>, [\">= 1.5.0")
-               (("<sinatra>.freeze, \\[\\\"~> 1.2") "<sinatra>, [\">= 1.2"))
-             #t))
+               (("<sinatra>.freeze, \\[\\\"~> 1.2") "<sinatra>, [\">= 1.2"))))
          (add-before 'build 'loosen-dependency-contraint
              (lambda _
                (substitute* "lib/mail_catcher.rb"
                  (("\"eventmachine\", \"1.0.9.1\"") "\"eventmachine\", \">= 1.0.9.1\"")
                  (("\"rack\", \"~> 1.5\"") "\"rack\", \">= 1.5\"")
                  (("\"thin\", \"~> 1.5.0\"") "\"thin\", \">= 1.5.0\"")
-                 (("\"sinatra\", \"~> 1.2\"") "\"sinatra\", \">= 1.2\""))
-               #t)))))
+                 (("\"sinatra\", \"~> 1.2\"") "\"sinatra\", \">= 1.2\"")))))))
     (inputs
      (list ruby-eventmachine
            ruby-mail
@@ -15927,8 +15842,7 @@ (define-public ruby-reverse-markdown
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (synopsis "Convert HTML into Markdown")
     (description
      "This Ruby module allows you to map simple HTML back into
@@ -15980,8 +15894,7 @@ (define-public ruby-solargraph
          (replace 'check
            (lambda* (#:key tests? #:allow-other-keys)
              (when tests?
-               (invoke "rspec"))
-             #t)))))
+               (invoke "rspec")))))))
     (synopsis
      "IDE tools for code completion, inline documentation, and static analysis")
     (description
@@ -16064,8 +15977,7 @@ (define-public ruby-wwtd
               (snippet
                '(begin
                   ;; Remove bundled library.
-                  (delete-file "spec/rake-12.3.0.gem")
-                  #t))))
+                  (delete-file "spec/rake-12.3.0.gem")))))
     (build-system ruby-build-system)
     (arguments
      '(;; XXX: Tests need multiple versions of ruby, wants to run
@@ -16076,18 +15988,15 @@ (define-public ruby-wwtd
                     (lambda _
                       (substitute* "wwtd.gemspec"
                         (("git ls-files lib/ bin/`")
-                         "find lib/ bin/ -type f |sort`"))
-                      #t))
+                         "find lib/ bin/ -type f |sort`"))))
                   (add-before 'check 'remove-version-constraints
                     (lambda _
-                      (delete-file "Gemfile.lock")
-                      #t))
+                      (delete-file "Gemfile.lock")))
                   (replace 'check
                     (lambda* (#:key tests? #:allow-other-keys)
                       (if tests?
                           (invoke "rspec" "spec/")
-                          (format #t "test suite not run~%"))
-                      #t)))))
+                          (format #t "test suite not run~%")))))))
     (native-inputs
      (list ruby-bump ruby-rspec))
     (synopsis "Run @file{.travis.yml} files locally")
@@ -16342,20 +16251,17 @@ (define-public ruby-taskjuggler
                     (lambda _
                       (substitute* "tasks/rdoc.rake"
                         (("`git ls-files -- lib`")
-                         "`find lib/ -type f |sort`"))
-                      #t))
+                         "`find lib/ -type f |sort`"))))
                   (add-before 'check 'tzdir-setup
                     (lambda* (#:key inputs #:allow-other-keys)
                       (setenv "TZDIR"
                               (string-append (assoc-ref inputs "tzdata")
-                                             "/share/zoneinfo"))
-                      #t))
+                                             "/share/zoneinfo"))))
                   (add-before 'check 'delete-test-BatchProcessor
                     ;; test_BatchProcessor fails with exeption:
                     ;; run> terminated with exception (report_on_exception is true)
                     (lambda _
-                      (delete-file "test/test_BatchProcessor.rb")
-                      #t)))))
+                      (delete-file "test/test_BatchProcessor.rb"))))))
     (synopsis
      "Project management command line tool with a domain specific language")
     (description